# Embed Codes

To enable nexxPLAY on your Pages via iFrame, you need the iFrame Embed URL. This URL can be received on any Media Item within the nexxOMNIA UI - or via the nexxOMNIA API.

The general Structure of a nexxPLAY Embed URL looks like this

**`https://embed.nexx.cloud/:domainid/:streamtype/:mediahash`**<br>

{% hint style="info" %}
&#x20;The **:domainid** Parameter is the Domain ID of the Media Object
{% endhint %}

{% hint style="info" %}
The **:streamtype** Parameter is the Media Type
{% endhint %}

{% hint style="info" %}
&#x20;The **:mediahash** Parameter is the Hash ID of the Media Object
{% endhint %}

The full Embed Code would then look like this:

```markup
<iframe width='640' height='360' 
    src='https://embed.nexx.cloud/:domainid/:streamtype/:mediahash' 
    allow='autoplay; picture-in-picture; gyroscope; magnetometer; accelerometer; encrypted-media; fullscreen' 
    frameborder='0' allowfullscreen>
</iframe>
```

If you need to modify the Player Instance within the iFrame, this is more complicated than with the Javascript SDK. Nevertheless, you can use PostMessage Control to achieve this (next Chapter), and the most important Override Options are also available as Query Parameters directly in the iFrame URL:

| Parameter           | Description                                                                                                                                                                   |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **autoPlay**        | if set to 1, the Player will start Playback immediately (always without Sound) \[0,1]                                                                                         |
| **dataMode**        | the DataMode of the Player \[api, static]                                                                                                                                     |
| **exitMode**        | the ExitMode / RevolverPlayer Mode of the Player \[replay, loop, load]                                                                                                        |
| **menuMode**        | the Menu Behaviour of the Player \[0,1,2]                                                                                                                                     |
| **delay**           | start the Media Object with the given Delay (in Seconds)                                                                                                                      |
| **platform**        | manually set the Player Platform (necessary, if used in an AMP Environemnt without the AMP Plugin - set it to "amp" in this Case)                                             |
| **language**        | manually set the Player Language                                                                                                                                              |
| **direction**       | set the Text Direction manually to "rtl". This is only necessary, if the Player Language is automatic or not set by default to an "RTL" Language.                             |
| **disableAds**      | if set to 1, the Player will not show any kind of Ads \[0,1]                                                                                                                  |
| **streamingFilter** | override the Streaming Filter (Playback Quality) for this Player \[3Q Code]                                                                                                   |
| **consentString**   | if the Frontend uses a Non TCF 2.0-compliant Frontend but needs a Consent String for Ad Management, the given Value here will be used by the Player in Ad Requests            |
| **affiliateCode**   | if the Player is launced on a Partner Website, this code indicates the Use of an Affiliate Partner - the corresponding Code can be found within nexxOMNIA                     |
| **campaignCode**    | if set to a valid Campaign ID of the calling Domain, the Campaign Rules and Reportings are used.                                                                              |
| **enableCOEP**      | in very advanced Settings, the surrounding Page might only accept COEP-protected Embeds. Set this Parameter to 1 in order to receive an iFrame with this Level of Protection. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/iframe-integration/embed-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
